# EC Department, GEC Rajkot
# Send sensor data (ADC Value) to webpage               
# Note down address and type that address on webbrowser
# For example: 192.168.1.102:80 Analog values will be displayed 

from machine import ADC
import socket
import network
import machine
import time
LED = machine.Pin(2,machine.Pin.OUT)
sensor=machine.ADC(0)
#wifi as a stataion
def wifi_connect():
    import network
    sta_if = network.WLAN(network.STA_IF)
    if not sta_if.isconnected():
        print('connecting to network...')
        sta_if.active(True)
        #sta_if.connect('EFY-IEW2017-02', '24022018')  #wifi Id and PWD
        sta_if.connect('Ak2st2', 'mani1234')  #wifi Id and PWD
        while not sta_if.isconnected():
            pass
    print('network config:', sta_if.ifconfig())   
    print("Yes ... Now connected to the network")

wifi_connect()

time.sleep(2)
LSB = 3.3/1024 # LSB for ADC
adc = ADC(0) # ADC object
addr = ('192.168.1.106',80) #Change IP addr as per your board detected
serverSocket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
serverSocket.bind(addr)
serverSocket.listen(3)
while True:
    cl, addr = serverSocket.accept()
    cl_file = cl.makefile('rwb', 0)
    while True:
        line = cl_file.readline()
        if not line or line == b'\r\n':
            break
        sum=0    
        for i in range(0,100):
            sensordata=sensor.read()
            sum=sum+sensordata
            time.sleep_ms(1)
        sum=sum/100
        temperature=(sum*3300)/(1023*10);
        if temperature>30:
            LED.off()
        else:   
            LED.on()
    
    sVin = "{:3.1f}".format(temperature)
    # Prepare the response
    response = 'HTTP/1.1 200 OK\r\nContent-Type: text/html\r\n\r\n'
    response += """<!DOCTYPE html>
    <html>
    <body>
    <h3>
    <p style="font-size:60px">
    Temperature = %s Degree Celsius  </h3>
    <svg width="500" height="300">
     if sVin>30:
             <circle cx="300" cy="200" r="100" style="fill:rgb(255,0,0);stroke-width:3;stroke:rgb(255,0,0)" />
     else:   
             <circle cx="300" cy="200" r="100" style="fill:rgb(0,255,0);stroke-width:3;stroke:rgb(0,255,0)" />
    
     </svg>
    
    </body>
    </html>\n""" % sVin
    # Send the response to the client
    cl.send(response)
    cl.close()
